<?php 
include('nf_config.php');
include('menu_side.php');

if(isset($_REQUEST['editId']) and $_REQUEST['editId']!=""){
	$row	=	$db->getAllRecords('categs_groups','*',' AND cid="'.$_REQUEST['editId'].'"');
}

if(isset($_REQUEST['submit']) and $_REQUEST['submit']!=""){
	extract($_REQUEST);
	if($code_categ_group==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=un&editId='.$_REQUEST['editId']);
		exit;
	}elseif($desc_categ_group==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue&editId='.$_REQUEST['editId']);
		exit;
	}
	$data	=	array(
					'code_categ_group'=>$code_categ_group,
					'desc_categ_group'=>$desc_categ_group
					);
	$update	=	$db->update('categs_groups',$data,array('cid'=>$editId));
	if($update){
		header('location: nf_categsg.php?msg=rus&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
		exit;
	}else{
		header('location: nf_categsg.php?msg=rnu&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
		exit;
	}
}
?>
<!doctype html>
<html lang="en-US" class="no-js">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title><?php echo $n_categs_groups ?></title>
	
    <link rel="stylesheet" href="./bootstrap/css/bootstrap.css" >
    <link rel="stylesheet" href="./fontawesome/css/all.css" >

</head>

<body>
	
	<div class="container">
		<?php
		if(isset($_REQUEST['msg']) and $_REQUEST['msg']=="un"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand field!</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ue"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand field!</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ras"){
			echo	'<div class="alert alert-success"><i class="fa fa-thumbs-up"></i> $recadded</div>';
		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="rna"){
			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $recaddedno <strong> $tryagain </strong></div>';
		}
		?>
		<div class="card">
			<div class="card-header"><i class="fa fa-fw fa-plus-circle"></i> <strong> <?php echo $nedit." ".$n_categ_group;  ?> </strong> <a href="nf_categsg.php?pid=<?php echo $pid ?>&xuid=<?php echo $xuid ?>&lang=<?php echo $lang ?>" class="float-end btn btn-dark btn-sm"><i class="fa fa-fw fa-globe"></i> <?php echo $nbrowse." ".$n_categs_groups;  ?></a></div>
			<div class="card-body">
				
				<div class="col-sm-6">
					<h6 class="card-title"><?php echo $nfields_with ?> <span class="text-danger">*</span> <?php echo $nmandatory ?></h6>
					<form method="post">
						<div class="mb-3">
							<label><?php echo $n_categ_group ?><span class="text-danger">*</span></label>
							<input type="text" name="code_categ_group" id="code_categ_group" class="form-control" value="<?php echo $row[0]['code_categ_group']; ?>" placeholder="<?php echo $nenter." ".$n_categ_group; ?>" required>
						</div>
						<div class="mb-3">
							<label><?php echo $ndesc ?><span class="text-danger">*</span></label>
							<input type="text" name="desc_categ_group" id="desc_categ_group" class="form-control" value="<?php echo $row[0]['desc_categ_group']; ?>" placeholder="<?php echo $nenter." ".$ndesc; ?>" required>
						</div>
						<div class="mb-3">
							<input type="hidden" name="editId" id="editId" value="<?php echo $_REQUEST['editId']?>">
							<button type="submit" name="submit" value="submit" id="submit" class="btn btn-primary"><i class="fa fa-fw fa-edit"></i> <?php echo $nupdate." ".$n_categ_group;  ?></button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
    
    <script src="./jquery-3.4.1.js"></script>
    <script src="popper.min.js" ></script>
    <script src="./bootstrap/js/bootstrap.min.js" ></script>
    
</body>
</html>